**[linkedin-private-api](../README.md)**

> [Globals](../globals.md) / ["src/entities/invitation.entity"](../modules/_src_entities_invitation_entity_.md) / Invitation

# Interface: Invitation

## Hierarchy

- [LinkedInInvitation](_src_entities_linkedin_invitation_entity_.linkedininvitation.md)

  ↳ **Invitation**

## Index

### Properties

- [$type](_src_entities_invitation_entity_.invitation.md#$type)
- [\*fromMember](_src_entities_invitation_entity_.invitation.md#*frommember)
- [\*toMember](_src_entities_invitation_entity_.invitation.md#*tomember)
- [customMessage](_src_entities_invitation_entity_.invitation.md#custommessage)
- [entityUrn](_src_entities_invitation_entity_.invitation.md#entityurn)
- [invitationType](_src_entities_invitation_entity_.invitation.md#invitationtype)
- [invitee](_src_entities_invitation_entity_.invitation.md#invitee)
- [mailboxItemId](_src_entities_invitation_entity_.invitation.md#mailboxitemid)
- [profile](_src_entities_invitation_entity_.invitation.md#profile)
- [sentTime](_src_entities_invitation_entity_.invitation.md#senttime)
- [sharedSecret](_src_entities_invitation_entity_.invitation.md#sharedsecret)
- [toMemberId](_src_entities_invitation_entity_.invitation.md#tomemberid)
- [unseen](_src_entities_invitation_entity_.invitation.md#unseen)

## Properties

### $type

• **$type**: _typeof_ [INVITATION_TYPE](../modules/_src_entities_linkedin_invitation_entity_.md#invitation_type)

_Inherited from [LinkedInInvitation](_src_entities_linkedin_invitation_entity_.linkedininvitation.md).[$type](_src_entities_linkedin_invitation_entity_.linkedininvitation.md#$type)_

_Defined in [src/entities/linkedin-invitation.entity.ts:16](https://github.com/eilonmore/linkedin-private-api/blob/84c9c15/src/entities/linkedin-invitation.entity.ts#L16)_

---

### \*fromMember

• **\*fromMember**: [MiniProfileUrn](../modules/_src_entities_linkedin_mini_profile_entity_.md#miniprofileurn)

*Inherited from [LinkedInInvitation](_src_entities_linkedin_invitation_entity_.linkedininvitation.md).[*fromMember](_src_entities_linkedin_invitation_entity_.linkedininvitation.md#_frommember)_

_Defined in [src/entities/linkedin-invitation.entity.ts:17](https://github.com/eilonmore/linkedin-private-api/blob/84c9c15/src/entities/linkedin-invitation.entity.ts#L17)_

---

### \*toMember

• **\*toMember**: [MiniProfileUrn](../modules/_src_entities_linkedin_mini_profile_entity_.md#miniprofileurn)

*Inherited from [LinkedInInvitation](_src_entities_linkedin_invitation_entity_.linkedininvitation.md).[*toMember](_src_entities_linkedin_invitation_entity_.linkedininvitation.md#_tomember)_

_Defined in [src/entities/linkedin-invitation.entity.ts:18](https://github.com/eilonmore/linkedin-private-api/blob/84c9c15/src/entities/linkedin-invitation.entity.ts#L18)_

---

### customMessage

• **customMessage**: boolean

_Inherited from [LinkedInInvitation](_src_entities_linkedin_invitation_entity_.linkedininvitation.md).[customMessage](_src_entities_linkedin_invitation_entity_.linkedininvitation.md#custommessage)_

_Defined in [src/entities/linkedin-invitation.entity.ts:19](https://github.com/eilonmore/linkedin-private-api/blob/84c9c15/src/entities/linkedin-invitation.entity.ts#L19)_

---

### entityUrn

• **entityUrn**: string

_Inherited from [LinkedInInvitation](_src_entities_linkedin_invitation_entity_.linkedininvitation.md).[entityUrn](_src_entities_linkedin_invitation_entity_.linkedininvitation.md#entityurn)_

_Defined in [src/entities/linkedin-invitation.entity.ts:20](https://github.com/eilonmore/linkedin-private-api/blob/84c9c15/src/entities/linkedin-invitation.entity.ts#L20)_

---

### invitationType

• **invitationType**: InvitationType

_Inherited from [LinkedInInvitation](_src_entities_linkedin_invitation_entity_.linkedininvitation.md).[invitationType](_src_entities_linkedin_invitation_entity_.linkedininvitation.md#invitationtype)_

_Defined in [src/entities/linkedin-invitation.entity.ts:21](https://github.com/eilonmore/linkedin-private-api/blob/84c9c15/src/entities/linkedin-invitation.entity.ts#L21)_

---

### invitee

• **invitee**: LinkedInProfileInvitee

_Inherited from [LinkedInInvitation](_src_entities_linkedin_invitation_entity_.linkedininvitation.md).[invitee](_src_entities_linkedin_invitation_entity_.linkedininvitation.md#invitee)_

_Defined in [src/entities/linkedin-invitation.entity.ts:22](https://github.com/eilonmore/linkedin-private-api/blob/84c9c15/src/entities/linkedin-invitation.entity.ts#L22)_

---

### mailboxItemId

• **mailboxItemId**: string

_Inherited from [LinkedInInvitation](_src_entities_linkedin_invitation_entity_.linkedininvitation.md).[mailboxItemId](_src_entities_linkedin_invitation_entity_.linkedininvitation.md#mailboxitemid)_

_Defined in [src/entities/linkedin-invitation.entity.ts:23](https://github.com/eilonmore/linkedin-private-api/blob/84c9c15/src/entities/linkedin-invitation.entity.ts#L23)_

---

### profile

• **profile**: [MiniProfile](_src_entities_mini_profile_entity_.miniprofile.md)

_Defined in [src/entities/invitation.entity.ts:5](https://github.com/eilonmore/linkedin-private-api/blob/84c9c15/src/entities/invitation.entity.ts#L5)_

---

### sentTime

• **sentTime**: number

_Inherited from [LinkedInInvitation](_src_entities_linkedin_invitation_entity_.linkedininvitation.md).[sentTime](_src_entities_linkedin_invitation_entity_.linkedininvitation.md#senttime)_

_Defined in [src/entities/linkedin-invitation.entity.ts:24](https://github.com/eilonmore/linkedin-private-api/blob/84c9c15/src/entities/linkedin-invitation.entity.ts#L24)_

---

### sharedSecret

• **sharedSecret**: string

_Inherited from [LinkedInInvitation](_src_entities_linkedin_invitation_entity_.linkedininvitation.md).[sharedSecret](_src_entities_linkedin_invitation_entity_.linkedininvitation.md#sharedsecret)_

_Defined in [src/entities/linkedin-invitation.entity.ts:25](https://github.com/eilonmore/linkedin-private-api/blob/84c9c15/src/entities/linkedin-invitation.entity.ts#L25)_

---

### toMemberId

• **toMemberId**: string

_Inherited from [LinkedInInvitation](_src_entities_linkedin_invitation_entity_.linkedininvitation.md).[toMemberId](_src_entities_linkedin_invitation_entity_.linkedininvitation.md#tomemberid)_

_Defined in [src/entities/linkedin-invitation.entity.ts:26](https://github.com/eilonmore/linkedin-private-api/blob/84c9c15/src/entities/linkedin-invitation.entity.ts#L26)_

---

### unseen

• `Optional` **unseen**: undefined \| false \| true

_Inherited from [LinkedInInvitation](_src_entities_linkedin_invitation_entity_.linkedininvitation.md).[unseen](_src_entities_linkedin_invitation_entity_.linkedininvitation.md#unseen)_

_Defined in [src/entities/linkedin-invitation.entity.ts:27](https://github.com/eilonmore/linkedin-private-api/blob/84c9c15/src/entities/linkedin-invitation.entity.ts#L27)_
